<?php
define('__GIROCHECKOUT_SDK_DEBUG__',true);

/**
 * sample code for GiroCheckout integration of a credit card transaction
 *
 * @filesource
 * @package Samples
 * @version $Revision: 73 $ / $Date: 2014-10-01 17:40:24 +0200 (Mi, 01 Okt 2014) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 0000000;
$projectID = 0000;
$projectPassword = "xxxxxxxxxx";


/* init cc transaction an parameters */
try {
	$request = new GiroCheckout_SDK_Request('creditCardTransaction');
	$request->setSecret($projectPassword);
	$request->addParam('merchantId',$merchantID)
	        ->addParam('projectId',$projectID)
	        ->addParam('merchantTxId',1234567890)
	        ->addParam('amount', 15540)
	        ->addParam('currency','EUR')
	        ->addParam('purpose','Beispieltransaktion')
//	        ->addParam('locale','en')
//	        ->addParam('mobile',0)
	        ->addParam('urlRedirect','https://www.my-domain.de/girocheckout/redirect-creditcard,,')
	        ->addParam('urlNotify','https://www.my-domain.de/girocheckout/redirect-creditcard,,')
	    //the hash field is auto generated by the SDK
	        ->submit();
	print_r($request->getResponseParams());
	
	/* if transaction succeeded update your local system an redirect the customer */
	if($request->requestHasSucceeded())
	{
	   $request->getResponseParam('reference');
	   $request->getResponseParam('redirect');
	
	   $request->redirectCustomerToPaymentProvider();
	}
	
	/* if the transaction did not succeed update your local system, get the responsecode and notify the customer */
	else {
	   $request->getResponseParam('rc');
	   $request->getResponseParam('msg');
	   $request->getResponseMessage($request->getResponseParam('rc'),'DE');
	}
}
catch (Exception $e) { echo $e->getMessage(); }